VetMedicApp/Models/PetOwner.cs
using System;
using System.Collections.Generic;

namespace VetMedicApp.Models
{
    public class PetOwner : ApplicationUser
    {
        public PetOwner()
        {
            Pets = new List<Pet>();
        }

        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string StreetAdress { get; set; }
        public string Municipality { get; set; }
        public DateTime RegistrationDate { get; set; }
        public List<Pet> Pets { get; set; }
    }
}

VetMedicApp/Controllers/PetOwnerController.cs
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using OfficeOpenXml;
using QRCoder;
using VetMedicApp.Data;
using VetMedicApp.Logic;
using VetMedicApp.Models;
using VetMedicApp.ViewModels;
using VetMedicApp.ViewModels.PetOwnerViewModels;

namespace VetMedicApp.Controllers
{
    [Authorize(Roles = "admin")]
    [Route("[controller]/[action]")]
    public class PetOwnerController : Controller
    {
        private readonly UserManager<ApplicationUser> _userManager;
        private readonly SignInManager<ApplicationUser> _signInManager;
        private readonly ILogger _logger;
        private readonly VetMedicAppDbContext _context;

        public PetOwnerController(
            UserManager<ApplicationUser> userManager,
            SignInManager<ApplicationUser> signInManager,
            ILogger<AccountController> logger,
            VetMedicAppDbContext context)
        {
            _userManager = userManager;
            _signInManager = signInManager;
            _logger = logger;
            _context = context;
        }

        [HttpGet]
        public IActionResult Insert()
        {
            try
            {
                return View();
            }
            catch (Exception ex)
            {
                return View("Home/Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Insert(InsertPetOwnerViewModel model)
        {
            try
            {
                if (ModelState.IsValid)
                {
                    var user = new PetOwner()
                    {
                        FirstName = model.FirstName,
                        LastName = model.LastName,
                        PhoneNumber = model.PhoneNumber,
                        Email = model.Email ?? "",
                        StreetAdress = model.StreetAdress ?? "",
                        Municipality = model.Municipality ?? "",
                        UserName = model.UserName,
                        RegistrationDate = DateTime.Now
                    };

                    var result = await _userManager.CreateAsync(user, model.Password);

                    if (result.Succeeded)
                    {
                        _logger.LogInformation("You have created a new account with role petowner.");

                        IPetOwnerLogic logic = new PetOwnerLogic(_context);
                        PetOwner insertedPetOwner = logic.Insert(user);

                        return View("InsertSuccessful", new SinglePetOwnerViewModel() { PetOwner = insertedPetOwner });
                    }
                    return View(model);
                }
                return View(model);
            }
            catch (Exception ex)
            {
                return View("Home/Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }            
        }

        [HttpGet]
        public IActionResult Overview()
        {
            try
            {
                ListOfPetOwnersViewModel petOwners = new ListOfPetOwnersViewModel();
                IPetOwnerLogic petOwnerLogic = new PetOwnerLogic(_context);

                petOwners.PetOwners = petOwnerLogic.GetAll();

                return View(petOwners);
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }   
        }

        [HttpGet("{username}")]
        public IActionResult Details(string username)
        {
            try {
                SinglePetOwnerViewModel povm = new SinglePetOwnerViewModel();
                IPetOwnerLogic petOwnerLogic = new PetOwnerLogic(_context);

                povm.PetOwner = petOwnerLogic.GetByUserName(username) ?? throw new Exception($"Klijent sa korisničkim imenom \"{username}\" ne postoji");

                return View(povm);
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }

        [HttpGet("{username}")]
        public IActionResult Update(string username)
        {
            try
            {
                IPetOwnerLogic petOwnerLogic = new PetOwnerLogic(_context);

                PetOwner po = petOwnerLogic.GetByUserName(username);

                UpdatePetOwnerViewModel povm = new UpdatePetOwnerViewModel()
                {
                    FirstName = po.FirstName,
                    LastName = po.LastName,
                    PhoneNumber = po.PhoneNumber,
                    Email = po.Email ?? "",
                    StreetAdress = po.StreetAdress ?? "",
                    Municipality = po.Municipality ?? "",
                    UserName = po.UserName,
                };

                return View(povm);
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }

        [HttpPost("{username}")]
        [ValidateAntiForgeryToken]
        public IActionResult Update(UpdatePetOwnerViewModel model)
        {
            try {
                if (ModelState.IsValid)
                {
                    var user = new PetOwner()
                    {
                        FirstName = model.FirstName,
                        LastName = model.LastName,
                        PhoneNumber = model.PhoneNumber,
                        Email = model.Email ?? "",
                        StreetAdress = model.StreetAdress ?? "",
                        Municipality = model.Municipality ?? ""
                    };

                    _logger.LogInformation("You have modified account with role petowner.");

                    IPetOwnerLogic logic = new PetOwnerLogic(_context);
                    PetOwner updatedPetOwner = logic.Update(model.UserName, user);

                    return View("UpdateSuccessful", new SinglePetOwnerViewModel() { PetOwner = updatedPetOwner });
                }
                return View(model);
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }
        
        [HttpGet("{username}")]
        public IActionResult Delete(string username)
        {
            try
            {
                IPetOwnerLogic petOwnerLogic = new PetOwnerLogic(_context);

                petOwnerLogic.Delete(username);

                return RedirectToAction("Overview");
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }            

        [HttpGet]
        public IActionResult Export()
        {
            try {
                byte[] fileContents;

                IPetOwnerLogic logic = new PetOwnerLogic(_context);

                List<PetOwner> petowners = logic.GetAll(); ;

                using (var package = new ExcelPackage())
                {
                    var worksheet = package.Workbook.Worksheets.Add("Klijenti");

                    worksheet.Cells[1, 1].Value = "Ime";
                    worksheet.Cells[1, 2].Value = "Prezime";
                    worksheet.Cells[1, 3].Value = "Korisničko ime";
                    worksheet.Cells[1, 4].Value = "Broj telefona";
                    worksheet.Cells[1, 5].Value = "Email";
                    worksheet.Cells[1, 6].Value = "Adresa";
                    worksheet.Cells[1, 7].Value = "Opština";
                    worksheet.Cells[1, 8].Value = "Datum registrovanja";
                    worksheet.Cells[1, 9].Value = "Ljubimci";

                    for (int i = 1; i <= petowners.Count; i++)
                    {
                        worksheet.Cells[i + 1, 1].Value = petowners.ElementAt(i - 1).FirstName;
                        worksheet.Cells[i + 1, 2].Value = petowners.ElementAt(i - 1).LastName;
                        worksheet.Cells[i + 1, 3].Value = petowners.ElementAt(i - 1).UserName;
                        worksheet.Cells[i + 1, 4].Value = petowners.ElementAt(i - 1).PhoneNumber;
                        worksheet.Cells[i + 1, 5].Value = petowners.ElementAt(i - 1).Email;
                        worksheet.Cells[i + 1, 6].Value = petowners.ElementAt(i - 1).StreetAdress;
                        worksheet.Cells[i + 1, 7].Value = petowners.ElementAt(i - 1).Municipality;
                        worksheet.Cells[i + 1, 8].Value = petowners.ElementAt(i - 1).RegistrationDate.ToShortDateString();
                        if (petowners.ElementAt(i - 1).Pets.Count > 0)
                        {
                            string pets = "";
                            foreach (Pet p in petowners.ElementAt(i - 1).Pets)
                            {
                                pets += $"{p.Name}({p.PetType.TypeName},{p.Race}, {p.Color}), ";
                            }

                            worksheet.Cells[i + 1, 9].Value = pets.Remove(pets.Length - 2);
                        }
                    }
                    worksheet.Cells[worksheet.Dimension.Address].AutoFitColumns();
                    worksheet.Row(1).Style.Font.Bold = true;

                    fileContents = package.GetAsByteArray();
                }

                if (fileContents == null || fileContents.Length == 0)
                {
                    return NotFound();
                }

                return File(
                    fileContents: fileContents,
                    contentType: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",

VetMedicApp/Views/PetOwner/Details.cshtml
@model SinglePetOwnerViewModel

<h4><i class="fa fa-user fa-fw"></i>Klijent:</h4>
<hr />

<table class="table-striped" style="font-size:large">
    <tbody>
        <tr>
            <th>Ime: </th>
            <td>@Model.PetOwner.FirstName</td>
        </tr>
        <tr>
            <th>Prezime: </th>
            <td>@Model.PetOwner.LastName</td>
        </tr>
        <tr>
            <th>Broj telefona: </th>
            <td>@Model.PetOwner.PhoneNumber</td>
        </tr>
        <tr>
            <th>E-pošta: </th>
            <td>@Model.PetOwner.Email</td>
        </tr>
        <tr>
            <th>Ulica i broj: </th>
            <td>@Model.PetOwner.StreetAdress</td>
        </tr>
        <tr>
            <th>Opština: </th>
            <td>@Model.PetOwner.Municipality</td>
        </tr>
        <tr>
            <th>Datum registracije: </th>
            <td>@Model.PetOwner.RegistrationDate.ToString("dd/MM/yyyy H:mm")</td>
        </tr>
        <tr>
            <th>Korisničko ime: </th>
            <td>@Model.PetOwner.UserName</td>
        </tr>
        <tr>
            <th>Ljubimci: </th>
            <td>
                <table class="key-value-table">
                    <tbody>
                        @foreach (Pet p in @Model.PetOwner.Pets)
                        {
                            <tr>
                                <td><a asp-controller="Pet" asp-action="Details/@p.PetId" style="color:black">@p.Name (@p.Race)</a></td>
                            </tr>
                        }
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>
<hr />

<a asp-controller="PetOwner" asp-action="Overview" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-table fa-sm" aria-hidden="true"></i> Klijenti</a>
<a asp-controller="PetOwner" asp-action="Update" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-pencil-alt fa-sm" aria-hidden="true"></i> Izmeni</a>
<a asp-controller="Pet" asp-action="Insert" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-paw fa-sm" aria-hidden="true"></i> Dodaj ljubimca</a>
<a href="/PetOwner/QRCode/@Model.PetOwner.UserName" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-qrcode fa-sm" aria-hidden="true"></i> QR</a>
<a style="margin:0px 5px 20px 0px; font-size:medium; color:white" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteModal"><i class="fa fa-trash-alt" aria-hidden="true"></i> Obriši</a>

<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Da li ste sigurni?</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">Kliknite "Obriši" ukoliko želite da obrišete klijenta.</div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal">Ne</button>
                <a class="btn btn-danger" asp-controller="PetOwner" asp-action="Delete">Obriši</a>
            </div>
        </div>
    </div>
</div>

VetMedicApp/Views/PetOwner/Insert.cshtml
@model InsertPetOwnerViewModel

<div class="row">
    <div class="col-md-4">
        <form asp-controller="PetOwner" asp-action="Insert" method="post">
            <h4><i class="fa fa-user fa-fw"></i> Unesite podatke klijenta</h4>
            <hr />
            <div class="form-group">
                @Html.Label("FirstName", "Ime(*)", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.FirstName, new { @class = "form-control", @placeholder = "Unesite ime..." })
                @Html.ValidationMessageFor(m => m.FirstName, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("LastName", "Prezime(*)", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.LastName, new { @class = "form-control", @placeholder = "Unesite prezime..." })
                @Html.ValidationMessageFor(m => m.LastName, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("PhoneNumber", "Broj telefona(*)", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.PhoneNumber, new { @class = "form-control", @placeholder = "Unesite broj telefona..." })
                @Html.ValidationMessageFor(m => m.PhoneNumber, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Email", "E-pošta", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Email, new { @class = "form-control", @placeholder = "Unesite e-poštu..." })
                @Html.ValidationMessageFor(m => m.Email, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("StreetAdress", "Ulica i broj", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.StreetAdress, new { @class = "form-control", @placeholder = "Unesite ulicu i broj..." })
                @Html.ValidationMessageFor(m => m.StreetAdress, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Municipality", "Opština", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Municipality, new { @class = "form-control", @placeholder = "Unesite opštinu..." })
                @Html.ValidationMessageFor(m => m.Municipality, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("UserName", "Korisničko ime(*)", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.UserName, new { @class = "form-control", @placeholder = "Unesite korisničko ime..." })
                @Html.ValidationMessageFor(m => m.UserName, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Password", "Šifra(*)", new { style = "font-weight:bold" })
                @Html.PasswordFor(m => m.Password, new { @class = "form-control", @placeholder = "Unesite šifru..." })
                @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("ConfirmPassword", "Potvrdi šifru(*)", new { style = "font-weight:bold" })
                @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = "Potvrdite šifru..." })
                @Html.ValidationMessageFor(m => m.ConfirmPassword, "", new { @class = "text-danger" })
            </div>
            <hr />
            <button type="submit" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-user-plus fa-sm" aria-hidden="true"></i> Sačuvaj</button>
            <a asp-controller="Home" asp-action="Index" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-danger btn-sm"><i class="fa fa-times fa-sm" aria-hidden="true"></i> Poništi</a>
        </form>
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

VetMedicApp/Views/PetOwner/InsertSuccessful.cshtml
@model SinglePetOwnerViewModel

<h4><i class="fa fa-user fa-fw"></i> Uspešno ste registrovali klijenta:</h4>
<hr />

<table class="table-striped" style="font-size:large">
    <tbody>
        <tr>
            <th>Ime: </th>
            <td>@Model.PetOwner.FirstName</td>
        </tr>
        <tr>
            <th>Prezime: </th>
            <td>@Model.PetOwner.LastName</td>
        </tr>
        <tr>
            <th>Broj telefona: </th>
            <td>@Model.PetOwner.PhoneNumber</td>
        </tr>
        <tr>
            <th>E-pošta: </th>
            <td>@Model.PetOwner.Email</td>
        </tr>
        <tr>
            <th>Ulica i broj: </th>
            <td>@Model.PetOwner.StreetAdress</td>
        </tr>
        <tr>
            <th>Opština: </th>
            <td>@Model.PetOwner.Municipality</td>
        </tr>
        <tr>
            <th>Datum registracije: </th>
            <td>@Model.PetOwner.RegistrationDate.ToString("dd/MM/yyyy H:mm")</td>
        </tr>
        <tr>
            <th>Korisničko ime: </th>
            <td>@Model.PetOwner.UserName</td>
        </tr>
        <tr>
            <th>Ljubimci: </th>
            <td>
                <table class="key-value-table">
                    <tbody>
                        @foreach (Pet p in @Model.PetOwner.Pets)
                        {
                            <tr>
                                <td><a asp-controller="Pet" asp-action="Details/@p.PetId" style="color:black">@p.Name (@p.Race)</a></td>
                            </tr>
                        }
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>
<hr />

<a asp-controller="PetOwner" asp-action="Overview" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-table fa-sm" aria-hidden="true"></i> Klijenti</a>
<a href="/Pet/Insert/@Model.PetOwner.UserName" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-paw fa-sm" aria-hidden="true"></i> Dodaj ljubimca</a>
<a href="/PetOwner/QRCode/@Model.PetOwner.UserName" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-qrcode fa-sm" aria-hidden="true"></i> QR</a>
<a style="margin:0px 5px 20px 0px; font-size:medium; color:white" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteModal"><i class="fa fa-trash-alt" aria-hidden="true"></i> Obriši</a>

<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Da li ste sigurni?</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">Kliknite "Obriši" ukoliko želite da obrišete klijenta.</div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal">Ne</button>
                <a class="btn btn-danger" href="/PetOwner/Delete/@Model.PetOwner.UserName">Obriši</a>
            </div>
        </div>
    </div>
</div>

VetMedicApp/Views/PetOwner/Overview.cshtml
@model ListOfPetOwnersViewModel

<h3><i class="fa fa-table fa-fw" aria-hidden="true"></i>Pregled klijenata</h3>
<hr />

<div class="card mb-3">
    <div class="card-header">
        <i class="fas fa-user"></i>
        <strong>Klijenti</strong>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" cellspacing="0">
                <thead>
                    <tr>
                        <th>RB</th>
                        <th>Ime</th>
                        <th>Prezime</th>
                        <th>Broj telefona</th>
                        <th>E-pošta</th>
                        <th>Korisničko ime</th>
                        <th>Detaljnije</th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;}
                    @foreach (PetOwner p in Model.PetOwners)
                    {
                        i = @i + 1;
                        <tr>
                            <td>@i</td>
                            <td>@p.FirstName</td>
                            <td>@p.LastName</td>
                            <td>@p.PhoneNumber</td>
                            <td>@p.Email</td>
                            <td>@p.UserName</td>
                            <td><a href="Details\@p.UserName" style="font-size:medium; margin:-15px 0px -10px 0px" class="btn btn-dark btn-sm">Detaljnije</a></td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
    <div class="card-footer small text-muted"><a asp-controller="PetOwner" asp-action="Export" style="font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-download fa-sm" aria-hidden="true"></i> Eksport</a></div>
</div>

VetMedicApp/Views/PetOwner/QRCode.cshtml
@model SinglePetOwnerViewModel

<h4><i class="fa fa-user fa-fw"></i>Klijent:</h4>
<hr />

<table class="table-striped" style="font-size:large">
    <tbody>
        <tr>
            <th>Ime: </th>
            <td>@Model.PetOwner.FirstName</td>
        </tr>
        <tr>
            <th>Prezime: </th>
            <td>@Model.PetOwner.LastName</td>
        </tr>
        <tr>
            <th>Broj telefona: </th>
            <td>@Model.PetOwner.PhoneNumber</td>
        </tr>
        <tr>
            <th>E-pošta: </th>
            <td>@Model.PetOwner.Email</td>
        </tr>
        <tr>
            <th>Ulica i broj: </th>
            <td>@Model.PetOwner.StreetAdress</td>
        </tr>
        <tr>
            <th>Opština: </th>
            <td>@Model.PetOwner.Municipality</td>
        </tr>
        <tr>
            <th>Datum registracije: </th>
            <td>@Model.PetOwner.RegistrationDate.ToString("dd/MM/yyyy H:mm")</td>
        </tr>
        <tr>
            <th>Korisničko ime: </th>
            <td>@Model.PetOwner.UserName</td>
        </tr>
        <tr>
            <th>Ljubimci: </th>
            <td>
                <table class="key-value-table">
                    <tbody>
                        @foreach (Pet p in @Model.PetOwner.Pets)
                        {
                            <tr>
                                <td><a asp-controller="Pet" asp-action="Details/@p.PetId" style="color:black">@p.Name (@p.Race)</a></td>
                            </tr>
                        }
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>
<hr />

<a asp-controller="PetOwner" asp-action="Overview" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-table fa-sm" aria-hidden="true"></i> Klijenti</a>
<a asp-controller="PetOwner" asp-action="Update" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-pencil-alt fa-sm" aria-hidden="true"></i> Izmeni</a>
<a asp-controller="Pet" asp-action="Insert" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-paw fa-sm" aria-hidden="true"></i> Dodaj ljubimca</a>
<a style="margin:0px 5px 20px 0px; font-size:medium; color:white" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteModal"><i class="fa fa-trash-alt" aria-hidden="true"></i> Obriši</a>

<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Da li ste sigurni?</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">Kliknite "Obriši" ukoliko želite da obrišete klijenta.</div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal">Ne</button>
                <a class="btn btn-danger" asp-controller="PetOwner" asp-action="Delete">Obriši</a>
            </div>
        </div>
    </div>
</div>

<div>
    <img class="img-rounded" style="width:200px" src="data:image;base64,@Convert.ToBase64String(Model.QRCode)" />
</div>

VetMedicApp/Views/PetOwner/UpdateSuccessful.cshtml
@model SinglePetOwnerViewModel

<h4><i class="fa fa-user fa-fw"></i> Uspešno ste ažurirali klijenta:</h4>
<hr />

<table class="table-striped" style="font-size:large">
    <tbody>
        <tr>
            <th>Ime: </th>
            <td>@Model.PetOwner.FirstName</td>
        </tr>
        <tr>
            <th>Prezime: </th>
            <td>@Model.PetOwner.LastName</td>
        </tr>
        <tr>
            <th>Broj telefona: </th>
            <td>@Model.PetOwner.PhoneNumber</td>
        </tr>
        <tr>
            <th>E-pošta: </th>
            <td>@Model.PetOwner.Email</td>
        </tr>
        <tr>
            <th>Ulica i broj: </th>
            <td>@Model.PetOwner.StreetAdress</td>
        </tr>
        <tr>
            <th>Opština: </th>
            <td>@Model.PetOwner.Municipality</td>
        </tr>
        <tr>
            <th>Datum registracije: </th>
            <td>@Model.PetOwner.RegistrationDate.ToString("dd/MM/yyyy H:mm")</td>
        </tr>
        <tr>
            <th>Korisničko ime: </th>
            <td>@Model.PetOwner.UserName</td>
        </tr>
        <tr>
            <th>Ljubimci: </th>
            <td>
                <table class="key-value-table">
                    <tbody>
                        @foreach (Pet p in @Model.PetOwner.Pets)
                        {
                            <tr>
                                <td><a asp-controller="Pet" asp-action="Details/@p.PetId" style="color:black">@p.Name (@p.Race)</a></td>
                            </tr>
                        }
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>
<hr />

<a asp-controller="PetOwner" asp-action="Overview" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-table fa-sm" aria-hidden="true"></i> Klijenti</a>
<a asp-controller="Pet" asp-action="Insert" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-paw fa-sm" aria-hidden="true"></i> Dodaj ljubimca</a>
<a href="/PetOwner/QRCode/@Model.PetOwner.UserName" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-qrcode fa-sm" aria-hidden="true"></i> QR</a>